- Update to 1.4.0

- Make portlint happy
This commit is contained in:
Sofian Brabez 2012-07-03 22:15:17 +00:00
parent ac202d1226
commit 13e24c31a0
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=300458
6 changed files with 44 additions and 62 deletions

View File

@ -6,8 +6,7 @@
#
PORTNAME= rkhunter
PORTVERSION= 1.3.8
PORTREVISION= 1
PORTVERSION= 1.4.0
CATEGORIES= security
MASTER_SITES= SF

View File

@ -1,2 +1,2 @@
SHA256 (rkhunter-1.3.8.tar.gz) = fb1fb8bac53bab476142b5556140c59d589bc0f45d3dc058f400f2edada77a33
SIZE (rkhunter-1.3.8.tar.gz) = 241551
SHA256 (rkhunter-1.4.0.tar.gz) = a891c0b900417f2980f0e9afcdb10d1fd5581703be2587a92c90c7631b8814dc
SIZE (rkhunter-1.4.0.tar.gz) = 244552

View File

@ -1,35 +1,6 @@
--- ./files/rkhunter.conf.orig 2010-11-13 21:25:22.000000000 +0100
+++ ./files/rkhunter.conf 2010-11-27 02:39:40.000000000 +0100
@@ -93,7 +93,7 @@
# important files will be written to this directory, so be
# sure that the directory permissions are tight.
#
-#TMPDIR=/var/lib/rkhunter/tmp
+TMPDIR=/root
#
# Specify the database directory to use.
@@ -213,7 +213,8 @@
# file, then a value here of 'unset' can be used to avoid warning messages.
# This option has a default value of 'no'.
#
-ALLOW_SSH_ROOT_USER=no
+#ALLOW_SSH_ROOT_USER=no
+ALLOW_SSH_ROOT_USER=unset
#
# Set this option to '1' to allow the use of the SSH-1 protocol, but note
@@ -224,7 +225,8 @@
# configuration file, then a value of '2' may be set here in order to
# suppress a warning message. This option has a default value of '0'.
#
-ALLOW_SSH_PROT_V1=0
+#ALLOW_SSH_PROT_V1=0
+ALLOW_SSH_PROT_V1=2
#
# This setting tells rkhunter the directory containing the SSH configuration
@@ -466,6 +468,10 @@
--- ./files/rkhunter.conf.orig 2011-12-17 22:36:02.000000000 +0100
+++ ./files/rkhunter.conf 2012-07-03 23:57:15.000000000 +0200
@@ -468,6 +468,10 @@
#
#SCRIPTWHITELIST="/sbin/ifup /sbin/ifdown"
#SCRIPTWHITELIST="/usr/bin/groups"
@ -40,7 +11,7 @@
#
# Allow the specified commands to have the immutable attribute set.
@@ -475,6 +481,10 @@
@@ -477,6 +481,10 @@
# characters.
#
#IMMUTWHITELIST="/sbin/ifup /sbin/ifdown"
@ -51,7 +22,7 @@
#
# If this option is set to 1, then the immutable-bit test is
@@ -665,7 +675,7 @@
@@ -668,7 +676,7 @@
# NOTE: For *BSD systems you will probably need to use this option
# for the 'toor' account.
#

View File

@ -1,6 +1,21 @@
--- ./installer.sh.orig 2010-11-16 22:34:48.000000000 +0100
+++ ./installer.sh 2010-11-27 02:40:03.000000000 +0100
@@ -366,10 +366,10 @@
--- ./installer.sh.orig 2012-04-27 00:10:12.000000000 +0200
+++ ./installer.sh 2012-07-03 23:56:30.000000000 +0200
@@ -392,7 +392,7 @@
RKHINST_ETC_DIR="${SYSCONFIGDIR}"
RKHINST_BIN_DIR="${BINDIR}"
RKHINST_SCRIPT_DIR="${LIBDIR}/${APPNAME}/scripts"
- RKHINST_MAN_DIR="${SHAREDIR}/man/man8"
+ RKHINST_MAN_DIR="${PREFIX}/man/man8"
if [ "${RKHINST_LAYOUT}" = "oldschool" ]; then
RKHINST_DB_DIR="${VARDIR}/${APPNAME}/db"
@@ -406,12 +406,12 @@
elif [ "${RKHINST_LAYOUT}" = "TXZ" ]; then
RKHINST_DB_DIR="${VARDIR}/lib/${APPNAME}/db"
RKHINST_TMP_DIR="${VARDIR}/lib/${APPNAME}/tmp"
- RKHINST_DOC_DIR="${PREFIX}/doc/${APPNAME}-${APPVERSION}"
+ RKHINST_DOC_DIR="${PREFIX}/doc/${APPNAME}"
RKHINST_MAN_DIR="${PREFIX}/man/man8"
else
RKHINST_DB_DIR="${VARDIR}/lib/${APPNAME}/db"
RKHINST_TMP_DIR="${VARDIR}/lib/${APPNAME}/tmp"
@ -8,31 +23,27 @@
+ RKHINST_DOC_DIR="${SHAREDIR}/doc/${APPNAME}"
fi
- RKHINST_MAN_DIR="${SHAREDIR}/man/man8"
+ RKHINST_MAN_DIR="${PREFIX}/man/man8"
RKHINST_LANG_DIR="${RKHINST_DB_DIR}/i18n"
RKHINST_ETC_FILE="${APPNAME}.conf"
@@ -765,22 +765,6 @@
esac
@@ -1076,22 +1076,6 @@
fi
done
-
- # Application documents
- for FILE in ${RKHINST_DOC_FILES}; do
- cp -f ./files/"${FILE}" "${RKHINST_DOC_DIR}" >/dev/null 2>&1
- ERRCODE=$?
- # Application
- for FILE in ${RKHINST_BIN_FILES}; do
- if [ -f "${RKHINST_BIN_DIR}/${FILE}" ]; then
- rm -f "${RKHINST_BIN_DIR}/${FILE}" >/dev/null 2>&1
- ERRCODE=$?
-
- if [ $ERRCODE -eq 0 ]; then
- echo " Installing ${FILE}: OK"
- chmod "${RKHINST_MODE_RWR}" "${RKHINST_DOC_DIR}/${FILE}"
- else
- echo " Installing ${FILE}: FAILED: Code $ERRCODE"
- exit 1
- if [ $ERRCODE -eq 0 ]; then
- echo " Removing ${RKHINST_BIN_DIR}/${FILE}: OK"
- else
- echo " Removing ${RKHINST_BIN_DIR}/${FILE}: FAILED: Code $ERRCODE"
- fi
- fi
- done
-
-
# Language support files
ERRCODE=0
# Configuration file
for FILE in ${RKHINST_ETC_FILE}; do
if [ -f "${RKHINST_ETC_DIR}/${FILE}" ]; then

View File

@ -2,13 +2,13 @@
******************************************************************************
You should keep your rkhunter database up-to-date.
This can be done automatically by putting this line to /etc/periodic.conf:
This can be done automatically by putting this line to periodic.conf(5) files:
daily_rkhunter_update_enable="YES"
daily_rkhunter_update_flags="--update --nocolors"
Also, you can run rkhunter as a part of the daily security check by
putting this line to /etc/periodic.conf:
putting this line to periodic.conf(5) files:
daily_rkhunter_check_enable="YES"
daily_rkhunter_check_flags="--checkall --nocolors --skip-keypress"

View File

@ -16,6 +16,7 @@ var/lib/rkhunter/db/mirrors.dat
var/lib/rkhunter/db/programs_bad.dat
var/lib/rkhunter/db/suspscan.dat
@unexec rm -f %D/var/lib/rkhunter/db/rkhunter_prop_list.dat 2> /dev/null || true
@unexec rm -f %D/var/lib/rkhunter/db/rkhunter.dat* 2> /dev/null || true
@unexec if cmp -s %D/etc/rkhunter.conf.sample %D/etc/rkhunter.conf; then rm -f %D/etc/rkhunter.conf; fi
etc/rkhunter.conf.sample
@exec if [ ! -f %D/etc/rkhunter.conf ] ; then cp -p %D/%F %B/rkhunter.conf; fi